#ifndef TAPCOM_CUTFILE_H
#define TAPCOM_CUTFILE_H

#define CutFile_ID (0x8100fee2)
#define CutFile_Filename "cutfile.tap"

// Using mei2archive v3.8l6 or above may fixup the header description and filename
// (if the Cut_PlayingFile flag is included the filename and dir will be ignored)
typedef enum { Cut_JustCut=0, Cut_UseMei2Archive=1, Cut_PlayingFile=2, Cut_ConfirmFile=4, Cut_ReportResult=8 } CutMode;

typedef struct
{
  char dir[256];
  char filename[100];
  CutMode cutMode;
} CutFile_ParamBlock;

#endif
