#include <tap.h>
#include "libFireBird.h"
#include "TAPCOM_cutfile.h"

TAP_ID( 0x8100fe9a );
#define TAPNAME "CutFile_test"
TAP_PROGRAM_NAME(TAPNAME);
TAP_AUTHOR_NAME("R2-D2");
TAP_DESCRIPTION("CutFile Test");
TAP_ETCINFO(__DATE__);

CutFile_ParamBlock param;

dword TAP_EventHandler( word event, dword param1, dword param2 )
{
  return param1;
}

int TAP_Main(void)
{
  dword tapID;
  InitTAPAPIFix();
  TAP_Print("Starting\n");
/* Either specify a file or use the Cut_PlayingFile flag
  strcpy(param.dir, "/DataFiles");
  strcpy(param.filename, "test.rec");
*/
  param.cutMode = Cut_UseMei2Archive | Cut_PlayingFile | Cut_ConfirmFile;
  HDD_TAP_Start(CutFile_Filename, FALSE, &param, &tapID);
  if(tapID == CutFile_ID)
  {
    do
    {
      TAP_SystemProc();
    } while(HDD_TAP_isRunning(tapID));
  }
  TAP_Print("Done\n");
  return 0;
}
